Piwigo多个跨站脚本漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1173103 漏洞类型 跨站脚本
发布时间 2012-04-27 更新时间 2012-04-27
CVE编号 CVE-2012-2209 CNNVD-ID CNNVD-201204-512
漏洞平台 N/A CVSS评分 4.3
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201204-512
|漏洞详情
Piwigo是Piwigo团队的一套基于Web的相册软件。该软件支持照片发布、管理、多种浏览方式(类别、标签、时间)等。BatchManagercomponent是其中的一个管理器组件。Piwigo中存在多个跨站脚本漏洞。该漏洞源于通过“section”参数(当“page”被设为“configuration”),“installstatus”(当“page”被设为“languages_new”)和“theme”参数(当“page”被设为“theme”)传送至admin.php的输入,在被返回给用户之前未经正确过滤。攻击者可利用该漏洞在受影响站点上下文的用户浏览器会话中执行任意HTML和脚本代码。
|参考资料

来源:www.htbridge.com
链接:https://www.htbridge.com/advisory/HTB23085
来源:BID
名称:53245
链接:http://www.securityfocus.com/bid/53245
来源:EXPLOIT-DB
名称:18782
链接:http://www.exploit-db.com/exploits/18782
来源:SECUNIA
名称:48903
链接:http://secunia.com/advisories/48903
来源:piwigo.org
链接:http://piwigo.org/releases/2.3.4
来源:piwigo.org
链接:http://piwigo.org/forum/viewtopic.php?id=19173
来源:piwigo.org
链接:http://piwigo.org/bugs/view.php?id=2607
来源:BUGTRAQ
名称:20120425MultiplevulnerabilitiesinPiwigo
链接:http://archives.neohapsis.com/archives/bugtraq/2012-04/0196.html